package it.integry.integrywmsnative.core.utility;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;

public class UtilityNumber {

    public static String decimalToString(BigDecimal bigDecimal){
        if(bigDecimal == null) return "0";
        return decimalToString(bigDecimal, 2);
    }

    public static String decimalToString(BigDecimal bigDecimal, int decimal){
        if(bigDecimal == null) return "0";
        return decimalToString(bigDecimal.floatValue(), decimal);
    }

    public static String decimalToString(float floatValue, int decimal) {
        DecimalFormatSymbols otherSymbols = new DecimalFormatSymbols(Locale.getDefault());
        otherSymbols.setDecimalSeparator('.');
        otherSymbols.setGroupingSeparator(',');

        final DecimalFormat decimalFormat = new DecimalFormat();
        decimalFormat.setMaximumFractionDigits(decimal);
        decimalFormat.setDecimalFormatSymbols(otherSymbols);
        decimalFormat.setGroupingUsed(false);

        return decimalFormat.format(floatValue);
    }

}
